Bug 534913 - (RHQ-1663) Allow DeleteResourceFacet to cleanly delete resources with more than one logical resource
Allow DeleteResourceFacet to cleanly delete resources with more than one logi...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 06:42 EST by Heiko W. Rupp
Modified: 2014-05-05 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-02-25 06:42:00 EST
This is related to https://jira.jboss.org/jira/browse/JOPR-79:

when a war file has multiple vhosts in JBossAS, it will show up as multiple resources in inventory.
When the user deletes one vhost in inventory, the underlying file will be deleted and other vhosts stay in
inventory as ghosts.

DeleteResourceFacet.deleteResources() needs a way to signal the PluginContainer other resource keys,
that should be un-inventoried as well when the 'original' resource got deleted.
Comment 1 Red Hat Bugzilla 2009-11-10 15:37:46 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1663
Comment 2 wes hayutin 2010-02-16 12:08:38 EST
mass add of key word FutureFeature to help track
Comment 3 Jay Shaughnessy 2014-05-05 11:17:37 EDT
Related: Bug 607305 and Bug 1093822.

Note You need to log in before you can comment on or make changes to this bug.